use ::bracket_lib::prelude::*;

/// The entry point
fn main() -> BError {
    let context = BTermBuilder::simple(80, 60)
        .unwrap()
        .with_title("Roguelike Tutorial")
        .with_font("vga8x16.png", 8, 16)
        .with_sparse_console(80, 30, "vga8x16.png")
        .with_vsync(false)
        .build()?;

    main_loop(context, ::tim_rogue::init_state())
}
